## Afriex SDK

### TypeScript

```typescript
const response = await afriex.customers.list({
  page: 0,
  limit: 20,
  email: "john@example.com",
});

console.log(response.data);  // Customer[]
console.log(response.total); // Total count
```

### CURL

```bash
curl --request GET \
  --url 'https://sandbox.api.afriex.com/api/v1/customer?limit=10' \
  --header 'x-api-key: <api-key>'
```

### Python

```python
import requests

url = "https://sandbox.api.afriex.com/api/v1/customer?limit=10"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript Fetch

```javascript
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://sandbox.api.afriex.com/api/v1/customer?limit=10', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### Sample Response

```json
{
  "data": [
    {
      "name": "Addams Oshay",
      "email": "addams@example.com",
      "phone": "+15086340138",
      "customerId": "6929843e2c4653277440acc0",
      "countryCode": "US",
      "createdAt": "2025-11-28T11:15:10.812Z",
      "updatedAt": "2025-11-28T11:15:10.812Z"
    },
    {
      "name": "Daniel Obirije",
      "email": "daniel@example.com",
      "phone": "+2347049861191",
      "customerId": "6930610b0d8aab4a00b3f918",
      "countryCode": "NG",
      "createdAt": "2025-12-03T16:10:51.291Z",
      "updatedAt": "2025-12-03T16:10:51.291Z"
    }
  ],
  "total": 1448,
  "page": 0
}
```

### Authorizations

- **x-api-key**: required header. Static business API key issued from the dashboard.

### Headers
- **x-api-version**: string, API version in ISO 8601 format.

### Query Parameters
- **page**: integer, default: 0, starting from 0.
- **limit**: integer, default: 10, required range: `1 <= x <= 100`.
- **email**: string (email), filter by customer email address.
- **phone**: string, filter by customer phone number in E.164 format.

### Response
- **200:** application/json, list of customers retrieved successfully.
- **data**: object[].
- **total**: integer, total number of customers matching the query.
